version: '3'

services:
  nginx:
    image: nginx:latest
    restart: always
    ports:
      - 80:80
      - 443:443
    volumes:
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/nginx/nginx.conf:/etc/nginx/nginx.conf:ro
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/nginx/dhparam.pem:/etc/nginx/dhparam.pem:ro
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/nginx/conf/:/etc/nginx/conf.d/:ro
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/nginx/logs:/var/log/nginx/:rw

      - {{ root_directory }}/{{ reverse_proxy_dirname }}/certbot:/var/www/certbot/:ro
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/certbot/conf/:/etc/nginx/ssl/:ro

      - {{ root_directory }}/default:/www/default/:rw
      {% for service in enabled_services %}- {{ root_directory }}/{{ service }}/files:/www/{{ service }}/:rw
      {% endfor %}

    networks:
      {% for service in enabled_services %}- {{ service }}_link
      {% endfor %}

{% if ovh is defined %}
  certbot:
    image: certbot/dns-ovh:latest
    volumes:
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/creds/:/root/:ro
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/certbot/:/var/www/certbot/:rw
      - {{ root_directory }}/{{ reverse_proxy_dirname }}/certbot/conf/:/etc/letsencrypt/:rw
{% endif %}

networks:
  {% for service in enabled_services %}{{ service }}_link:
    name: {{ service }}_nginx_link
    external: True
  {% endfor %}
